<?php
/**
 * @package Progress Bar BBcode (CSS3)
 * @version 1.2
 * @author phantom
 * @copyright 2012
 * @license http://creativecommons.org/licenses/by-nc-nd/3.0/ CC BY-NC-ND 3.0
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function ProgressBar_add_code(&$codes)
{
	global $txt;
	loadLanguage('ProgressBar');

	$codes[] = array(
		'tag' => 'progress',
		'type' => 'unparsed_commas_content',
		'content' => '<div class="ProgressBar">$1<div class="ProgressBar2"><div class="ProgressBar3" style="width:$2%;"><span class="ProgressBar" title="'.$txt['ProgressBar2'].'$2%">$2%</span></div></div></div>',
		'block_level' => true,
	);
}

function ProgressBar_add_button(&$buttons)
{
	global $txt;
	loadLanguage('ProgressBar');

	$buttons[count($buttons) - 1][] = array(
		'image' => 'progress',
		'code' => 'progress',
		'before' => '[progress]',
		'after' => '[/progress]',
		'description' => $txt['ProgressBar']
	);
}

function ProgressBar_load_theme()
{
	global $settings, $context;

	$context['html_headers'] .= '<link rel="stylesheet" type="text/css" href="'. $settings['default_theme_url'] .'/css/ProgressBar.css" />';
}